Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleRelationshipResource

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
                  org.apache.muse.ws.dm.muws.impl.SimpleRelationshipResource

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, RelationshipResource, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties, XmlSerializable

public class SimpleRelationshipResource
extends AbstractManageabilityCapability
implements RelationshipResource

SimpleRelationshipResource is Muse's default implementation of the MUWS (Part 2) RelationshipResource capability.

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from interface org.apache.muse.ws.dm.muws.RelationshipResource
`PROPERTIES`

Constructor Summary
`SimpleRelationshipResource()`

Method Summary
`EndpointReference` | `getAccessEndpointReference()`
`java.lang.String` | `getName()`
`Participant[]` | `getParticipant()`
`QName[]` | `getPropertyNames()` Concrete capability classes that define properties MUST override this method and provide the names of the properties.
`RelationshipType` | `getType()`
`void` | `setName(java.lang.String name)`
`void` | `setParticipant(Participant[] participants)`
`void` | `setType(RelationshipType type)`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
`initializeCompleted`

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getSetter, getWsResource, initialize, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleRelationshipResource

    public SimpleRelationshipResource()

Method Detail

### getAccessEndpointReference

    public EndpointReference getAccessEndpointReference()

  Specified by:
    `getAccessEndpointReference` in interface `RelationshipResource`
  Returns:
    The relationship resource's EPR - this should be the same value returned by Resource.getEndpointReference().
  See Also:
    `Resource.getEndpointReference()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `RelationshipResource`
  Returns:
    A descriptive name for this relationship.

### getParticipant

    public Participant[] getParticipant()

  Specified by:
    `getParticipant` in interface `RelationshipResource`
  Returns:
    The participants in this relationship. The array will have a length of at least 2.

### getPropertyNames

    public QName[] getPropertyNames()

  Description copied from interface: `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Concrete capability classes that define properties MUST override this method and provide the names of the properties.

  Specified by:
    `getPropertyNames` in interface `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Overrides:
    `getPropertyNames` in class `AbstractWsResourceCapability`

### getType

    public RelationshipType getType()

  Specified by:
    `getType` in interface `RelationshipResource`
  Returns:
    The type of this relationship, as defined by an XSD complex type.

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `RelationshipResource`

### setParticipant

    public void setParticipant(Participant[] participants)

  Specified by:
    `setParticipant` in interface `RelationshipResource`
  Parameters:
    `participants` - The participants in this relationship. The array must have a length of at least 2.

### setType

    public void setType(RelationshipType type)

  Specified by:
    `setType` in interface `RelationshipResource`

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD